Name: lftp
Version: 4.8.3
Release: 11
License: GPLv3
Summary: Sophisticated file transfer program
Url: http://lftp.yar.ru/

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

BuildRequires: bzip2-devel
BuildRequires: zlib-devel
BuildRequires: expat-devel
BuildRequires: openssl-devel < 1.1.0
BuildRequires: readline-devel
BuildRequires: gettext-tools
BuildRequires: pkg-config

Source0: http://lftp.yar.ru/ftp/lftp-%{version}.tar.xz


%description
LFTP is a sophisticated file transfer program supporting a number of network protocols (ftp, http, sftp, fish, torrent). Like BASH, it has job control and uses the readline library for input. It has bookmarks, a built-in mirror command, and can transfer several files in parallel. It was designed with reliability in mind.

%prep
%setup -q

cd src
perl -p -i -e 's|/usr/bin/perl|%{_bindir}/perl|g' convert-mozilla-cookies verify-file
perl -p -i -e 's|/bin/bash|%{_bindir}/bash|g' xdg-move
perl -p -i -e 's|/bin/sh|/QOpenSys/usr/bin/sh|g' import-ncftp import-netscape


%build

autoreconf -fi

%configure \
  CPPFLAGS="-I%{_includedir} -I%{_includedir}/ncurses" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --enable-threads=posix \
  --enable-shared \
  --with-openssl=%{_prefix} \
  --without-libresolv \
  --with-readline=%{_prefix} \
  --without-gnutls \
  --with-zlib=%{_prefix} \
  --with-expat=%{_prefix} \
  --disable-static \
  --disable-nls \
  --disable-rpath \
  # end

%make_build


%install

%make_install

rm %{buildroot}/%{_libdir}/*.la
rm -r %{buildroot}/%{_datadir}/applications
rm -r %{buildroot}/%{_datadir}/icons
rm %{buildroot}%{_libdir}/charset.alias || :

%files
%defattr(-, qsys, *none)

%config(noreplace) %{_sysconfdir}/lftp.conf

%{_bindir}/lftp
%{_bindir}/lftpget

%{_libdir}/liblftp-jobs.a
%{_libdir}/liblftp-tasks.a

%{_datadir}/lftp

%{_mandir}/man1/lftp.1
%{_mandir}/man1/lftpget.1

%{_mandir}/man5/lftp.conf.5

%changelog
 
